| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes | List of all members
Gaudi::RootEvtSelectorContext Class Reference

ROOT specific event selector context. More...

Inheritance diagram for Gaudi::RootEvtSelectorContext:
[legend]
Collaboration diagram for Gaudi::RootEvtSelectorContext:
[legend]

## Public Types
typedef std::vector< std::string > | Files
| Definition of the file container. More...

## Public Member Functions
| RootEvtSelectorContext (const RootEvtSelector *s)
| Standard constructor with initialization. More...
| ~RootEvtSelectorContext () override=default
| Standard destructor. More...
const Files & | files () const
| Access to the file container. More...
void | setFiles (const Files &f)
| Set the file container. More...
void * | identifier () const override
| Context identifier. More...
Files::const_iterator | fileIterator () const
| Access to the file iterator. More...
void | setFileIterator (Files::const_iterator i)
| Set file iterator. More...
long | entry () const
| Access to the current event entry number. More...
void | setEntry (long e)
| Set current event entry number. More...
void | setFID (const std::string &fid)
| Set connection FID. More...
const std::string & | fid () const
| Access connection fid. More...
TBranch * | branch () const
| Access to the top level branch (typically /Event) used to iterate. More...
void | setBranch (TBranch *b)
| Set the top level branch (typically /Event) used to iterate. More...
Public Member Functions inherited from IEvtSelector::Context
virtual | ~Context ()=default

## Private Attributes
const RootEvtSelector * | m_sel
| Reference to the hosting event selector instance. More...
Files | m_files
| The file container managed by this context. More...
Files::const_iterator | m_fiter
| The iterator to the. More...
long | m_entry
| Current entry of current file. More...
TBranch * | m_branch
| Reference to the top level branch (typically /Event) used to iterate. More...
std::string | m_fid
| Connection fid. More...

## Detailed Description

ROOT specific event selector context.

See the base class for a detailed description.

Author
  M.Frank

Version
  1.0

Definition at line 32 of file RootEvtSelector.cpp.

## Member Typedef Documentation

typedef std::vector<std::string> Gaudi::RootEvtSelectorContext::Files

Definition of the file container.

Definition at line 35 of file RootEvtSelector.cpp.

## Constructor & Destructor Documentation

Gaudi::RootEvtSelectorContext::RootEvtSelectorContext | ( | const RootEvtSelector * | s | ) |
| inline

Standard constructor with initialization.

Definition at line 51 of file RootEvtSelector.cpp.

51 : m_sel(s),m_entry(-1),m_branch(nullptr){}
Gaudi::RootEvtSelectorContext::m_sel
const RootEvtSelector * m_sel
Reference to the hosting event selector instance.
Definition: RootEvtSelector.cpp:38
Gaudi::RootEvtSelectorContext::m_branch
TBranch * m_branch
Reference to the top level branch (typically /Event) used to iterate.
Definition: RootEvtSelector.cpp:46
Gaudi::RootEvtSelectorContext::m_entry
long m_entry
Current entry of current file.
Definition: RootEvtSelector.cpp:44

Gaudi::RootEvtSelectorContext::~RootEvtSelectorContext | ( |  | ) |
| override default

Standard destructor.

## Member Function Documentation

TBranch* Gaudi::RootEvtSelectorContext::branch | ( |  | ) | const
| inline

Access to the top level branch (typically /Event) used to iterate.

Definition at line 76 of file RootEvtSelector.cpp.

76 { return m_branch; }
Gaudi::RootEvtSelectorContext::m_branch
TBranch * m_branch
Reference to the top level branch (typically /Event) used to iterate.
Definition: RootEvtSelector.cpp:46

long Gaudi::RootEvtSelectorContext::entry | ( |  | ) | const
| inline

Access to the current event entry number.

Definition at line 68 of file RootEvtSelector.cpp.

68 { return m_entry; }
Gaudi::RootEvtSelectorContext::m_entry
long m_entry
Current entry of current file.
Definition: RootEvtSelector.cpp:44

const std::string& Gaudi::RootEvtSelectorContext::fid | ( |  | ) | const
| inline

Access connection fid.

Definition at line 74 of file RootEvtSelector.cpp.

74 { return m_fid; }
Gaudi::RootEvtSelectorContext::m_fid
std::string m_fid
Connection fid.
Definition: RootEvtSelector.cpp:48

Files::const_iterator Gaudi::RootEvtSelectorContext::fileIterator | ( |  | ) | const
| inline

Access to the file iterator.

Definition at line 64 of file RootEvtSelector.cpp.

64 { return m_fiter; }
Gaudi::RootEvtSelectorContext::m_fiter
Files::const_iterator m_fiter
The iterator to the.
Definition: RootEvtSelector.cpp:42

const Files& Gaudi::RootEvtSelectorContext::files | ( |  | ) | const
| inline

Access to the file container.

Definition at line 55 of file RootEvtSelector.cpp.

55 { return m_files; }
Gaudi::RootEvtSelectorContext::m_files
Files m_files
The file container managed by this context.
Definition: RootEvtSelector.cpp:40

void* Gaudi::RootEvtSelectorContext::identifier | ( |  | ) | const
| inline override virtual

Context identifier.

Implements IEvtSelector::Context.

Definition at line 62 of file RootEvtSelector.cpp.

62 { return const_cast<RootEvtSelector*>(m_sel); }
Gaudi::RootEvtSelectorContext::m_sel
const RootEvtSelector * m_sel
Reference to the hosting event selector instance.
Definition: RootEvtSelector.cpp:38
Gaudi::RootEvtSelector
Concrete event selector implementation to access ROOT files.
Definition: RootEvtSelector.h:39

void Gaudi::RootEvtSelectorContext::setBranch | ( | TBranch * | b | ) |
| inline

Set the top level branch (typically /Event) used to iterate.

Definition at line 78 of file RootEvtSelector.cpp.

78 { m_branch = b; }
Gaudi::RootEvtSelectorContext::m_branch
TBranch * m_branch
Reference to the top level branch (typically /Event) used to iterate.
Definition: RootEvtSelector.cpp:46

void Gaudi::RootEvtSelectorContext::setEntry | ( | long | e | ) |
| inline

Set current event entry number.

Definition at line 70 of file RootEvtSelector.cpp.

70 { m_entry = e; }
Gaudi::RootEvtSelectorContext::m_entry
long m_entry
Current entry of current file.
Definition: RootEvtSelector.cpp:44

void Gaudi::RootEvtSelectorContext::setFID | ( | const std::string & | fid | ) |
| inline

Set connection FID.

Definition at line 72 of file RootEvtSelector.cpp.

72 { m_fid = fid; }
Gaudi::RootEvtSelectorContext::m_fid
std::string m_fid
Connection fid.
Definition: RootEvtSelector.cpp:48
Gaudi::RootEvtSelectorContext::fid
const std::string & fid() const
Access connection fid.
Definition: RootEvtSelector.cpp:74

void Gaudi::RootEvtSelectorContext::setFileIterator | ( | Files::const_iterator | i | ) |
| inline

Set file iterator.

Definition at line 66 of file RootEvtSelector.cpp.

66 { m_fiter = i; }
Gaudi::RootEvtSelectorContext::m_fiter
Files::const_iterator m_fiter
The iterator to the.
Definition: RootEvtSelector.cpp:42
ana.i
list i
Definition: ana.py:128

void Gaudi::RootEvtSelectorContext::setFiles | ( | const Files & | f | ) |
| inline

Set the file container.

Definition at line 57 of file RootEvtSelector.cpp.

57 {
58 m_files = f;
59 m_fiter = m_files.begin();
60 }
std::vector::begin
T begin(T...args)
Gaudi::RootEvtSelectorContext::m_fiter
Files::const_iterator m_fiter
The iterator to the.
Definition: RootEvtSelector.cpp:42
Gaudi::RootEvtSelectorContext::m_files
Files m_files
The file container managed by this context.
Definition: RootEvtSelector.cpp:40

## Member Data Documentation

TBranch* Gaudi::RootEvtSelectorContext::m_branch
| private

Reference to the top level branch (typically /Event) used to iterate.

Definition at line 46 of file RootEvtSelector.cpp.

long Gaudi::RootEvtSelectorContext::m_entry
| private

Current entry of current file.

Definition at line 44 of file RootEvtSelector.cpp.

std::string Gaudi::RootEvtSelectorContext::m_fid
| private

Connection fid.

Definition at line 48 of file RootEvtSelector.cpp.

Files Gaudi::RootEvtSelectorContext::m_files
| private

The file container managed by this context.

Definition at line 40 of file RootEvtSelector.cpp.

Files::const_iterator Gaudi::RootEvtSelectorContext::m_fiter
| private

The iterator to the.

Definition at line 42 of file RootEvtSelector.cpp.

const RootEvtSelector* Gaudi::RootEvtSelectorContext::m_sel
| private

Reference to the hosting event selector instance.

Definition at line 38 of file RootEvtSelector.cpp.

The documentation for this class was generated from the following file:

- RootCnv/src/RootEvtSelector.cpp